package com.bocloud.cmp.provider.azure.db;

import com.bocloud.cmp.model.azure.db.AzureDatabaseServerModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: AzureDatabaseProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/1/28 17:07
 */
public interface CloudDatabaseServerProvider extends SuperProvider {

    default BocloudResult list() {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult create(AzureDatabaseServerModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult modify(AzureDatabaseServerModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult detail(AzureDatabaseServerModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(AzureDatabaseServerModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult restart(AzureDatabaseServerModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult pricingLayer(AzureDatabaseServerModel model) {
        return new BocloudResult(false, "need implement");
    }

}